import express from 'express';
import { auth } from '../../middleware/auth/index.js';
import { getUsers, updateUserPermissions } from './controllers/users.js';

const router = express.Router();

router.get('/', auth, getUsers);
router.put('/:id/permissions', auth, updateUserPermissions);

export default router;