import { Link } from 'react-router-dom';
import { Palette } from 'lucide-react';

export function Logo() {
  return (
    <Link to="/" className="flex items-center space-x-2 text-gray-900">
      <Palette size={32} className="text-blue-600" />
      <span className="text-2xl font-bold">CultureScope</span>
    </Link>
  );
}